Entwurf Anordnung

From FreeCAD Documentation
Revision as of 14:07, 17 January 2020 by Maker (talk | contribs) (Created page with "{{Caption|Kreisförmiges Anordnung aus einem Festkörperobjekt}}")
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Anordnung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
PfadDatenfeld, Draft PointArray, Draft Klonen


Beschreibung

Das Entwurf Anordnung Werkzeug erzeugt eine orthogonale (3-Achsen), polare oder kreisförmige Anordnung aus einem ausgewählten Objekt.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit der Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Um direkt polare und kreisförmige Anordnungen zu erstellen, verwende die entsprechenden Werkzeuge PolarAnordnung und KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

Um Anwendungsverknüpfungen anstelle von einfachen Kopien zu erstellen, verwende VerknüpfungAnordnung, Pfad VerknüpfungAnordnung und die entsprechende Option mit PolarAnordnung und KreisAnordnung .

Draft Array example.png Draft PolarArray example.png

Eine rechtwinklige und eine kreisförmige Anordnung aus einem Festkörperobjekt


Draft CircularArray example.png

Kreisförmiges Anordnung aus einem Festkörperobjekt


Anwendung

Status: FreeCAD-Version 0.16

  1. Wähle das für ein Feld vorgesehene Objekt.
  2. Klicke auf Draft Array.png Draft Array.
  3. Wähle den Feld-Typ (DataArray Type)
  4. Für den Feld-Typ linear (ortho) wähle:
    1. Zahl der Objekte:
      1. in erster Richtung (DataNumber X)
      2. in zweiter Richtung (DataNumber Y)
      3. in dritter Richtung (DataNumber Z)
    2. Abstand zwischen den Objekten:
      1. in erster Richtung (DataInterval X)
      2. in zweiter Richtung (DataInterval Y)
      3. in dritter Richtung (DataInterval Z);
      4. Anmerkung: Die drei Richtungen stimmen mit den Achsrichtungen des internen x-y-z-Koordinatensystems überein, wenn man für die erste nur einen Abstands-Wert für x, für die zweite nur einen für y und für die dritte nur einen für z einsetzt.
  5. Für den Feld-Typ polar (polar) wähle:
    1. Zahl der Objekte (DataNumber Polar)
    2. Richtung der Feld-Achse (DataAxis)
    3. Mittelpunkt des Feldes (DataCenter)
    4. Sektorwinkel des Feldes (DataAngle)
    5. Für jede neue Kopie des Objekts lässt sich die Feld-Achse neu positionieren (DataInterval Axis). Bei Angabe eines z-Wertes (Feldachse sei zur z-Achse parallel) wandern die Kopien in dieser Richtung, sie liegen auf einer Schraubenlinie. Mit von Null verschiedenen y- und/oder z-Werten wird das Ergebnis unübersichtlich.
  6. Wähle wahr (true) für Vereinigen (DataFuse), wenn die Objekte des Feldes zu einem einzigen Objekt vereinigt werden sollen.

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Properties

  • DataBase: specifies the object to duplicate in the array.
  • DataArray Type (Enumeration): specifies the type of array to create, "ortho", "polar", or "circular".
  • DataFuse: if it is True, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DataInterval X: specifies the interval between each copy on the X axis.
  • DataInterval Y: specifies the interval between each copy on the Y axis.
  • DataInterval Z: specifies the interval between each copy on the Z axis.
  • DataNumber X: specifies the number of copies on the X axis.
  • DataNumber Y: specifies the number of copies on the Y axis.
  • DataNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DataAxis: specifies the normal direction of the array circle.
  • DataCenter: specifies the center point of the array circle.
  • DataAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DataNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DataInterval Axis: specifies the interval between each copy on the DataAxis direction.

For circular arrays:

  • DataNumber Circles:
  • DataRadial distance:
  • DataSymmetry:
  • DataTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DataInterval X is (2 m, 1 m, 1 m), and DataNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DataInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DataInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Einfache Anordnung

Für eine rechteckige Anordnung:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Für eine polare Anordnung:

array_list = array(objectslist, center, totalangle, totalnum)
  • Erstellt eine Anordnung der in einer Liste enthaltenen Objekte (das kann ein Objekt oder eine Liste von Objekten sein).
    • Im Falle einer rechteckigen Anordnung mit xnum Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • Im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekte, inklusive dem Original.
  • Diese Funktion erstellt eigenständige Kopien des Basisobjekts (der B-Objekte)

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametrische Anordnung

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Zur Erstellung einer rechtwinkligen Anordnung benutze es wie folgt:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Zur Erstellung einer polaren Anordnung benutze es wie folgt:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Erstellt eine Anordnung des angegebenen Objekts
    • im Falle einer rechteckigen Anordnung, xnum von Iterationen in der X-Richtung mit Abstand xvector zwischen den Iterationen und das Gleiche für die Y-Richtung mit ynum und yvector sowie in die Z-Richtung mit znum und zvector, falls diese Version verwendet wird
    • im Falle einer polaren Anordnung ist center ein Vektor, totalangle ist der abzudeckende Winkel (in Grad) und totalnum ist die Anzahl der Objekt, inklusive dem Original.
  • Das Ergebnis dieser Funktion ist ein parametrische Draft Anordnungsobjekt

Beispiel:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)